Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514001 - Rename "Troubleshooting" button to Documentation and update link
Summary: Rename "Troubleshooting" button to Documentation and update link
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Branding
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Shimon Shtein
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 13:14 UTC by Stephen Wadeley
Modified: 2019-04-01 20:27 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-foreman_theme_satellite-1.0.4.14-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 21868 None None None 2017-12-05 13:59:50 UTC

Description Stephen Wadeley 2017-11-16 13:14:16 UTC
Description of problem:

Satellite web UI has gui button "Troubleshooting" which links to:
https://theforeman.org/manuals/1.15/index.html#7.1NoVNC

Satellite web Ui should contain the information required, or link to Red Hat Customer Portal (KBase or guide). 


Version-Release number of selected component (if applicable):

Red Hat Satellite (build: 6.3.0 Beta)

Steps to Reproduce:
1. In the web UI, navigate to Infrastructure > Compute Resource
2. Select a Compute Resource
3. On the Virtual Machines tab, select a VM that is "On"
4. Click Console and notice the Troubleshooting button on the right.

Actual results:

Troubleshooting button links to https://theforeman.org/manuals/1.15/index.html#7.1NoVNC

Expected results:

Troubleshooting button should display a list of tips, or link to Kbase article. KBase can be list of points to check and then link to guides where compute resource procedures can be found.

Comment 7 Shimon Shtein 2017-12-05 13:59:46 UTC
Created redmine issue http://projects.theforeman.org/issues/21868 from this bug

Comment 8 pm-sat@redhat.com 2017-12-05 15:10:58 UTC
Upstream bug assigned to sshtein@redhat.com

Comment 10 Shimon Shtein 2017-12-27 11:09:31 UTC
Waiting for upstream PR to be merged.

Comment 11 pm-sat@redhat.com 2017-12-27 13:10:45 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21868 has been resolved.

Comment 14 Peter Ondrejka 2018-01-24 17:51:39 UTC
Verified on Sat 6.3 snap 33, the aforementioned button at the vm console page has been relabeled to Documentation and now points to .../6.3/html/provisioning_guide/provisioning_virtual_machines_in_kvm#Provisioning_Virtual_Machines_in_KVM-Configuring_noVNC

Comment 15 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.